import 'package:flutter/material.dart';
import 'package:rasadyar_chicken/presentation/routes/routes.dart';
import 'package:rasadyar_chicken/presentation/utils/nested_keys_utils.dart';
import 'package:rasadyar_chicken/presentation/widget/base_page/view.dart';
import 'package:rasadyar_core/core.dart';

import 'logic.dart';

class BuyPage extends GetView<BuyLogic> {
  const BuyPage({super.key});

  @override
  Widget build(BuildContext context) {
    return ChickenBasePage(
      routes: controller.routesName,
      isBase: true,
      child: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            spacing: 21.w,
            children: [
              GlassMorphismCardIcon(
                title: 'خرید داخل استان',
                vecIcon: Assets.vec.map1Svg.path,
                gradient: LinearGradient(
                  colors: [Color(0xFF00E096), Color(0xFF007D5E)],
                  stops: [0.0, 0.95],
                  begin: AlignmentGeometry.topLeft,
                  end: AlignmentGeometry.bottomRight,
                ),
                onTap: () {
                  Get.toNamed(ChickenRoutes.buysInProvinceSteward, id: stewardFirstKey);
                },
              ),
              GlassMorphismCardIcon(
                title: 'خرید خارج استان',
                vecIcon: Assets.vec.buyOutProvinceSvg.path,
                gradient: LinearGradient(
                  colors: [Color(0xFF00E096), Color(0xFF007D5E)],
                  stops: [0.0, 0.95],
                  begin: AlignmentGeometry.topLeft,
                  end: AlignmentGeometry.bottomRight,
                ),
                onTap: () {
                  Get.toNamed(ChickenRoutes.buysOutOfProvinceSteward, id: stewardFirstKey);
                },
              ),
            ],
          ),
        ],
      ),
    );
  }
}
